Skip to main content
cURL

Query Parameters

instrument_name
string
required

Instrument name Unique instrument identifier

Example:

"BTC-PERPETUAL"

start_seq
integer

Inclusive sequence number of the first trade to return; cannot be combined with start_timestamp.

end_seq
integer

Inclusive sequence number of the last trade to return; cannot be combined with end_timestamp.

count
integer

Number of requested items, default - 10, maximum - 1000

Required range: 1 <= x <= 1000
start_timestamp
integer

Inclusive earliest timestamp (milliseconds since the Unix epoch); cannot be combined with a start_id or start_seq bound. The timestamp (milliseconds since the Unix epoch)

Example:

1536569522277

end_timestamp
integer

Inclusive latest timestamp (milliseconds since the Unix epoch). The timestamp (milliseconds since the Unix epoch)

Example:

1536569522277

historical
boolean

Determines whether historical trade and order records should be retrieved.

  • false (default): Returns recent records: orders for 30 min, trades for 24h.
  • true: Fetches historical records, available after a short delay due to indexing. Recent data is not included.

๐Ÿ“– Related Article: Accessing Historical Trades and Orders Using API

sorting
enum<string>

Result ordering: asc, desc, or the method-specific default.

Available options:
asc,
desc,
default
subaccount_id
integer

Id of a subaccount

Example:

9

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
object
required
id
integer

The id that was sent in the request